
Redmine - Patch #27139

Fix for project link background in calendar tooltips

2017-10-08 11:24 - Bernhard Rohloff

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Calendar Estimated time: 0.00 hour

Target version: 3.3.6   

Description

The project link in the calendar tooltip shows the same background image (starting, ending) as the related issue number.

The patch adds a :first-child selector in the default application.css file.

Before patch:

 calendar_tooltip_issue.png 

After patch:

 calendar_tooltip_fixed.png 

Associated revisions

Revision 17039 - 2017-11-27 14:00 - Go MAEDA

Fix: Unnecessary arrow icon beside a project link in calendar tooltips (#27139).

Patch by Bernhard Rohloff.

Revision 17040 - 2017-11-27 14:05 - Go MAEDA

Merged r17039 to 3.4-stable (#27139).

Revision 17041 - 2017-11-27 14:08 - Go MAEDA

Merged r17039 to 3.3-stable (#27139).

History

#1 - 2017-10-09 00:52 - Mischa The Evil

- Target version set to Unplanned backlogs

#2 - 2017-11-26 06:24 - Go MAEDA

- Target version changed from Unplanned backlogs to 3.3.6

I think there is no problem to include this small UI fix in the next minor release. Setting target version to 3.3.6.

#3 - 2017-11-27 00:58 - Marius BĂLTEANU

I think that it is more safe to target directly the issue using table.cal .starting a.issue instead of the :first-child.

#4 - 2017-11-27 06:44 - Bernhard Rohloff

- File calendar_tooltip_fix_suggested_by_marius.diff added

Yes, I agree. Marius' approach is much cleaner. Thank you!

I've made another patch with the changes suggested by him.

#5 - 2017-11-27 14:21 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed in the trunk and merged to stable branches.

Thank you for fixing this issue and thank Marius for reviewing the patch.
Files

calendar_tooltip_issue.png 9.31 KB 2017-10-08 Bernhard Rohloff

calendar_tooltip_fixed.png 9.62 KB 2017-10-08 Bernhard Rohloff

calendar_tooltip_fix_project_background.diff 1.24 KB 2017-10-08 Bernhard Rohloff

calendar_tooltip_fix_suggested_by_marius.diff 1.28 KB 2017-11-27 Bernhard Rohloff
